
CoCoA - Bug #60

Bug # 53 (Closed): MSVC10 compilation

MSVC10 - shared_ptr

07 Dec 2011 17:06 - Anna Maria Bigatti

Status: Closed Start date: 07 Dec 2011

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Portability Estimated time: 1.00 hour

Target version: CoCoA-5.0.2 Spent time: 0.95 hour

Description

Apparently Visual Studio has its own shared_ptr (in view of C++11?), so it complains about calls of boost::shared_ptr as "shared_ptr"

(i.e. without "boost::")

I think it is "almost" right (in view of C++11 shared_ptr) and we should add "boost::" (very few occurrences)

History

#1 - 07 Dec 2011 17:07 - Anna Maria Bigatti

- % Done changed from 0 to 30

#2 - 24 Jan 2012 09:28 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.2

#3 - 26 Jan 2012 14:54 - John Abbott

In the interpreter there are 5 occurrences of shared_ptr.

These have all been replaced by boost::shared_ptr.

This avoids a problem with MSVC.

The question will have to be revisited when the code is updated to C++11.

#4 - 26 Jan 2012 14:59 - Anna Maria Bigatti

- Category set to Portability

- Status changed from New to Closed

- % Done changed from 30 to 100

- Estimated time set to 1.00 h
